summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Lutgens <blutgens@gentoo.org>2001-08-28 22:32:13 +0000
committerBen Lutgens <blutgens@gentoo.org>2001-08-28 22:32:13 +0000
commite52f1ff85a0049122c7294f402fe0259d74016ce (patch)
treea2ab89d5ac4d18bc3b29063f9733df537022e02c /net-misc/fakeidentd/files
parentfixing digest for fixed archive (diff)
downloadhistorical-e52f1ff85a0049122c7294f402fe0259d74016ce.tar.gz
historical-e52f1ff85a0049122c7294f402fe0259d74016ce.tar.bz2
historical-e52f1ff85a0049122c7294f402fe0259d74016ce.zip
added new category x11-misc and updated portage.py to reflect that.
changed "try make" to "make || die" in xinetd. The rest got moved out of incomming and into main tree. fakeidentd has a shitty init script, and leafnode don't have one at all yet.
Diffstat (limited to 'net-misc/fakeidentd/files')
-rw-r--r--net-misc/fakeidentd/files/fakeidentd46
1 files changed, 46 insertions, 0 deletions
diff --git a/net-misc/fakeidentd/files/fakeidentd b/net-misc/fakeidentd/files/fakeidentd
new file mode 100644
index 000000000000..4831867b22e0
--- /dev/null
+++ b/net-misc/fakeidentd/files/fakeidentd
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Achim Gottinger <achim@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/net-misc/fakeidentd/files/fakeidentd,v 1.1 2001/08/28 22:32:13 lamer Exp $
+
+#RCUPDATE:2 3 4:75:
+
+. /etc/rc.d/config/functions
+
+SERVICE=fakeidentd
+EXE=/usr/sbin/fakeidentd
+PIDFILE=/var/run/fakeidentd.pid
+opts="start stop restart"
+
+# See how we were called.
+
+function start() {
+
+ # Start daemons.
+
+ ebegin "Starting ${SERVICE}..."
+ start-stop-daemon --start --quiet --exec ${EXE}
+ eend $? "Started $SERVICE." "Error Starting ${SERVICE}"
+
+}
+
+function stop() {
+
+ # Stop daemons.
+
+ ebegin "Shutting down ${SERVICE}..."
+ killall -KILL fakeidentd
+ eend $? "Stopped $SERVICE." "Error Stopping ${SERVICE}."
+
+}
+
+function restart () {
+
+ stop
+ start
+
+}
+
+doservice ${@}
+